using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace LSharp
{
	public class Settings
	{
		public void Load()
		{
		}

		public void Save()
		{
		}
	}

	public class Controller
	{
		public Settings Setting;

		public MainWindow MainForm
		{
			get;
			private set;
		}

		public SettingsWindow SettingsForm
		{
			get;
			private set;
		}

		public Controller(MainWindow mainWindow, SettingsWindow settingsWindow)
		{
			this.MainForm = mainWindow;
			this.SettingsForm = settingsWindow;

			this.MainForm.ShowSettingsWindow += this.ShowSettingsWindow;
		}

		public void ShowSettingsWindow()
		{
			this.SettingsForm.ShowDialog();

			//TODO : 設定の保存
		}

		public void OpenLiveFromURLMenu(string url)
		{

		}
	}
}
